Module ij
Package ij.macro

# Interface MacroConstants

All Known Implementing Classes:
  `Editor`, `Functions`, `Interpreter`, `MacroInstaller`, `Program`, `Symbol`, `Tokenizer`, `Variable`

public interface MacroConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABS`
`static final int`
`ACOS`
`static final int`
`ARRAY`
`static final int`
`ARRAY_FUNC`
`static final int`
`ARRAY_FUNCTION`
`static final int[]`
`arrayFunctionIDs`
`static final String[]`
`arrayFunctions`
`static final int`
`ASIN`
`static final int`
`ATAN`
`static final int`
`ATAN2`
`static final int`
`AUTO_UPDATE`
`static final int`
`BEEP`
`static final int`
`BIT_DEPTH`
`static final int`
`BREAK`
`static final int`
`CALCULATOR`
`static final int`
`CALIBRATE`
`static final int`
`CALL`
`static final int`
`CHANGE_VALUES`
`static final int`
`CHAR_CODE_AT`
`static final int`
`CLOSE`
`static final int`
`COLOR`
`static final int`
`CONTINUE`
`static final int`
`COS`
`static final int`
`D2S`
`static final int`
`DEBUG`
`static final int`
`DIALOG`
`static final int`
`DIV_EQUAL`
`static final int`
`DO`
`static final int`
`DO_COMMAND`
`static final int`
`DO_WAND`
`static final int`
`DRAW_LINE`
`static final int`
`DRAW_OVAL`
`static final int`
`DRAW_RECT`
`static final int`
`DRAW_STRING`
`static final int`
`DUMP`
`static final int`
`ELSE`
`static final int`
`ENDS_WITH`
`static final int`
`EOF`
`static final int`
`EQ`
`static final int`
`EVAL`
`static final int`
`EXEC`
`static final int`
`EXIT`
`static final int`
`EXP`
`static final int`
`EXT`
`static final int`
`FALSE`
`static final int`
`FILE`
`static final int`
`FILL`
`static final int`
`FILL_OVAL`
`static final int`
`FILL_RECT`
`static final int`
`FIT`
`static final int`
`FLOOD_FILL`
`static final int`
`FLOOR`
`static final int`
`FOR`
`static final int`
`FROM_CHAR_CODE`
`static final int`
`FUNCTION`
`static final int[]`
`functionIDs`
`static final String[]`
`functions`
`static final int`
`GET_ARGUMENT`
`static final int`
`GET_BOOLEAN`
`static final int`
`GET_BOUNDING_RECT`
`static final int`
`GET_BOUNDS`
`static final int`
`GET_COORDINATES`
`static final int`
`GET_COUNT`
`static final int`
`GET_CURSOR_LOC`
`static final int`
`GET_DATE_AND_TIME`
`static final int`
`GET_DIMENSIONS`
`static final int`
`GET_DIR`
`static final int`
`GET_DIRECTORY`
`static final int`
`GET_DISPLAYED_AREA`
`static final int`
`GET_FILE_LIST`
`static final int`
`GET_FONT_LIST`
`static final int`
`GET_HEIGHT`
`static final int`
`GET_HISTOGRAM`
`static final int`
`GET_ID`
`static final int`
`GET_IMAGE_INFO`
`static final int`
`GET_INFO`
`static final int`
`GET_LINE`
`static final int`
`GET_LIST`
`static final int`
`GET_LOCATION_AND_SIZE`
`static final int`
`GET_LUT`
`static final int`
`GET_METADATA`
`static final int`
`GET_MIN_AND_MAX`
`static final int`
`GET_NUMBER`
`static final int`
`GET_PIXEL`
`static final int`
`GET_PIXEL_SIZE`
`static final int`
`GET_PROFILE`
`static final int`
`GET_RAW_STATISTICS`
`static final int`
`GET_RESULT`
`static final int`
`GET_RESULT_LABEL`
`static final int`
`GET_RESULT_STRING`
`static final int`
`GET_SLICE_NUMBER`
`static final int`
`GET_STATISTICS`
`static final int`
`GET_STRING`
`static final int`
`GET_STRING_WIDTH`
`static final int`
`GET_THRESHOLD`
`static final int`
`GET_TIME`
`static final int`
`GET_TITLE`
`static final int`
`GET_VALUE`
`static final int`
`GET_VERSION`
`static final int`
`GET_VOXEL_SIZE`
`static final int`
`GET_WIDTH`
`static final int`
`GET_ZOOM`
`static final int`
`GT`
`static final int`
`GTE`
`static final int`
`IF`
`static final int`
`IJ_CALL`
`static final int`
`IMAGE`
`static final int`
`INDEX_OF`
`static final int`
`INVERT`
`static final int`
`IS`
`static final int`
`IS_ACTIVE`
`static final int`
`IS_KEY_DOWN`
`static final int`
`IS_NAN`
`static final int`
`IS_OPEN`
`static final int[]`
`keywordIDs`
`static final String[]`
`keywords`
`static final int`
`LAST_INDEX_OF`
`static final int`
`LENGTH_OF`
`static final int`
`LINE_TO`
`static final int`
`LIST`
`static final int`
`LOG`
`static final int`
`LOGICAL_AND`
`static final int`
`LOGICAL_OR`
`static final int`
`LT`
`static final int`
`LTE`
`static final int`
`MACRO`
`static final int`
`MAKE_ARROW`
`static final int`
`MAKE_ELLIPSE`
`static final int`
`MAKE_LINE`
`static final int`
`MAKE_OVAL`
`static final int`
`MAKE_POINT`
`static final int`
`MAKE_POLYGON`
`static final int`
`MAKE_RECTANGLE`
`static final int`
`MAKE_ROTATED_RECT`
`static final int`
`MAKE_SELECTION`
`static final int`
`MAKE_TEXT`
`static final int`
`MATCHES`
`static final int`
`MATH`
`static final int`
`MAX_OF`
`static final int`
`MIN_OF`
`static final int`
`MINUS_EQUAL`
`static final int`
`MINUS_MINUS`
`static final int`
`MOVE_TO`
`static final int`
`MUL_EQUAL`
`static final int`
`NaN`
`static final int`
`NEQ`
`static final int`
`NEW_ARRAY`
`static final int`
`NEW_IMAGE`
`static final int`
`NEW_MENU`
`static final int`
`NIMAGES`
`static final int`
`NOP`
`static final int`
`NRESULTS`
`static final int`
`NSLICES`
`static final int`
`NUMBER`
`static final int`
`NUMERIC_FUNCTION`
`static final int[]`
`numericFunctionIDs`
`static final String[]`
`numericFunctions`
`static final int`
`OPEN`
`static final int`
`OVERLAY`
`static final int`
`PARSE_FLOAT`
`static final int`
`PARSE_INT`
`static final int`
`PI`
`static final int`
`PLOT`
`static final int`
`PLUS_EQUAL`
`static final int`
`PLUS_PLUS`
`static final int`
`POW`
`static final int`
`PREDEFINED_FUNCTION`
`static final int`
`PRINT`
`static final int`
`PROPERTY`
`static final int`
`PUT_PIXEL`
`static final int`
`RANDOM`
`static final int`
`RENAME`
`static final int`
`REPLACE`
`static final int`
`REQUIRES`
`static final int`
`RESET`
`static final int`
`RESET_MIN_MAX`
`static final int`
`RESET_THRESHOLD`
`static final int`
`RESTORE_PREVIOUS_TOOL`
`static final int`
`RESTORE_SETTINGS`
`static final int`
`RETURN`
`static final int`
`ROI`
`static final int`
`ROI_MANAGER`
`static final int`
`ROI_MANAGER2`
`static final int`
`ROUND`
`static final int`
`RUN`
`static final int`
`RUN_MACRO`
`static final int`
`SAVE`
`static final int`
`SAVE_AS`
`static final int`
`SAVE_SETTINGS`
`static final int`
`SCREEN_HEIGHT`
`static final int`
`SCREEN_WIDTH`
`static final int`
`SELECT`
`static final int`
`SELECT_IMAGE`
`static final int`
`SELECTION_CONTAINS`
`static final int`
`SELECTION_NAME`
`static final int`
`SELECTION_TYPE`
`static final int`
`SET_AUTO_THRESHOLD`
`static final int`
`SET_BACKGROUND`
`static final int`
`SET_BATCH_MODE`
`static final int`
`SET_COLOR`
`static final int`
`SET_FONT`
`static final int`
`SET_FOREGROUND`
`static final int`
`SET_JUSTIFICATION`
`static final int`
`SET_KEY_DOWN`
`static final int`
`SET_LINE_WIDTH`
`static final int`
`SET_LOCATION`
`static final int`
`SET_LUT`
`static final int`
`SET_METADATA`
`static final int`
`SET_MIN_MAX`
`static final int`
`SET_OPTION`
`static final int`
`SET_PASTE_MODE`
`static final int`
`SET_PIXEL`
`static final int`
`SET_RESULT`
`static final int`
`SET_RGB_WEIGHTS`
`static final int`
`SET_SELECTION_LOC`
`static final int`
`SET_SELECTION_NAME`
`static final int`
`SET_SLICE`
`static final int`
`SET_THRESHOLD`
`static final int`
`SET_TOOL`
`static final int`
`SET_VOXEL_SIZE`
`static final int`
`SET_Z_COORDINATE`
`static final int`
`SETUP_UNDO`
`static final int`
`SHIFT_LEFT`
`static final int`
`SHIFT_RIGHT`
`static final int`
`SHOW_MESSAGE`
`static final int`
`SHOW_MESSAGE_WITH_CANCEL`
`static final int`
`SHOW_PROGRESS`
`static final int`
`SHOW_STATUS`
`static final int`
`SHOW_TEXT`
`static final int`
`SIN`
`static final int`
`SNAPSHOT`
`static final int`
`SPLIT`
`static final int`
`SQRT`
`static final int`
`STACK`
`static final int`
`STARTS_WITH`
`static final int`
`STRING`
`static final int`
`STRING_CONSTANT`
`static final int`
`STRING_FUNCTION`
`static final int[]`
`stringFunctionIDs`
`static final String[]`
`stringFunctions`
`static final int`
`SUBSTRING`
`static final int`
`TABLE`
`static final int`
`TAN`
`static final int`
`TO_BINARY`
`static final int`
`TO_HEX`
`static final int`
`TO_LOWER_CASE`
`static final int`
`TO_SCALED`
`static final int`
`TO_STRING`
`static final int`
`TO_UNSCALED`
`static final int`
`TO_UPPER_CASE`
`static final int`
`TOK_MASK`
`static final int`
`TOK_SHIFT`
`static final int`
`TOOL_ID`
`static final int`
`TRIM`
`static final int`
`TRUE`
`static final int`
`UPDATE_DISPLAY`
`static final int`
`UPDATE_RESULTS`
`static final int`
`USER_FUNCTION`
`static final int`
`VAR`
`static final int`
`VARIABLE_FUNCTION`
`static final int[]`
`variableFunctionIDs`
`static final String[]`
`variableFunctions`
`static final int`
`WAIT`
`static final int`
`WAIT_FOR_USER`
`static final int`
`WHILE`
`static final int`
`WORD`
`static final int`
`WRITE`

## Field Details

### TOK_SHIFT

static final int TOK_SHIFT

See Also:
  - Constant Field Values

### TOK_MASK

static final int TOK_MASK

See Also:
  - Constant Field Values

### PLUS_PLUS

static final int PLUS_PLUS

See Also:
  - Constant Field Values

### MINUS_MINUS

static final int MINUS_MINUS

See Also:
  - Constant Field Values

### EQ

static final int EQ

See Also:
  - Constant Field Values

### NEQ

static final int NEQ

See Also:
  - Constant Field Values

### GT

static final int GT

See Also:
  - Constant Field Values

### GTE

static final int GTE

See Also:
  - Constant Field Values

### LT

static final int LT

See Also:
  - Constant Field Values

### LTE

static final int LTE

See Also:
  - Constant Field Values

### PLUS_EQUAL

static final int PLUS_EQUAL

See Also:
  - Constant Field Values

### MINUS_EQUAL

static final int MINUS_EQUAL

See Also:
  - Constant Field Values

### MUL_EQUAL

static final int MUL_EQUAL

See Also:
  - Constant Field Values

### DIV_EQUAL

static final int DIV_EQUAL

See Also:
  - Constant Field Values

### LOGICAL_AND

static final int LOGICAL_AND

See Also:
  - Constant Field Values

### LOGICAL_OR

static final int LOGICAL_OR

See Also:
  - Constant Field Values

### SHIFT_RIGHT

static final int SHIFT_RIGHT

See Also:
  - Constant Field Values

### SHIFT_LEFT

static final int SHIFT_LEFT

See Also:
  - Constant Field Values

### EOF

static final int EOF

See Also:
  - Constant Field Values

### WORD

static final int WORD

See Also:
  - Constant Field Values

### NUMBER

static final int NUMBER

See Also:
  - Constant Field Values

### NOP

static final int NOP

See Also:
  - Constant Field Values

### STRING_CONSTANT

static final int STRING_CONSTANT

See Also:
  - Constant Field Values

### PREDEFINED_FUNCTION

static final int PREDEFINED_FUNCTION

See Also:
  - Constant Field Values

### NUMERIC_FUNCTION

static final int NUMERIC_FUNCTION

See Also:
  - Constant Field Values

### STRING_FUNCTION

static final int STRING_FUNCTION

See Also:
  - Constant Field Values

### ARRAY_FUNCTION

static final int ARRAY_FUNCTION

See Also:
  - Constant Field Values

### USER_FUNCTION

static final int USER_FUNCTION

See Also:
  - Constant Field Values

### ARRAY

static final int ARRAY

See Also:
  - Constant Field Values

### VARIABLE_FUNCTION

static final int VARIABLE_FUNCTION

See Also:
  - Constant Field Values

### keywords

static final String[] keywords

### MACRO

static final int MACRO

See Also:
  - Constant Field Values

### VAR

static final int VAR

See Also:
  - Constant Field Values

### IF

static final int IF

See Also:
  - Constant Field Values

### ELSE

static final int ELSE

See Also:
  - Constant Field Values

### WHILE

static final int WHILE

See Also:
  - Constant Field Values

### DO

static final int DO

See Also:
  - Constant Field Values

### FOR

static final int FOR

See Also:
  - Constant Field Values

### FUNCTION

static final int FUNCTION

See Also:
  - Constant Field Values

### RETURN

static final int RETURN

See Also:
  - Constant Field Values

### TRUE

static final int TRUE

See Also:
  - Constant Field Values

### FALSE

static final int FALSE

See Also:
  - Constant Field Values

### PI

static final int PI

See Also:
  - Constant Field Values

### NaN

static final int NaN

See Also:
  - Constant Field Values

### BREAK

static final int BREAK

See Also:
  - Constant Field Values

### CONTINUE

static final int CONTINUE

See Also:
  - Constant Field Values

### keywordIDs

static final int[] keywordIDs

### RUN

static final int RUN

See Also:
  - Constant Field Values

### INVERT

static final int INVERT

See Also:
  - Constant Field Values

### SELECT

static final int SELECT

See Also:
  - Constant Field Values

### WAIT

static final int WAIT

See Also:
  - Constant Field Values

### BEEP

static final int BEEP

See Also:
  - Constant Field Values

### RESET_MIN_MAX

static final int RESET_MIN_MAX

See Also:
  - Constant Field Values

### RESET_THRESHOLD

static final int RESET_THRESHOLD

See Also:
  - Constant Field Values

### PRINT

static final int PRINT

See Also:
  - Constant Field Values

### WRITE

static final int WRITE

See Also:
  - Constant Field Values

### DO_WAND

static final int DO_WAND

See Also:
  - Constant Field Values

### SET_MIN_MAX

static final int SET_MIN_MAX

See Also:
  - Constant Field Values

### SET_THRESHOLD

static final int SET_THRESHOLD

See Also:
  - Constant Field Values

### SET_TOOL

static final int SET_TOOL

See Also:
  - Constant Field Values

### SET_FOREGROUND

static final int SET_FOREGROUND

See Also:
  - Constant Field Values

### SET_BACKGROUND

static final int SET_BACKGROUND

See Also:
  - Constant Field Values

### MAKE_LINE

static final int MAKE_LINE

See Also:
  - Constant Field Values

### MAKE_OVAL

static final int MAKE_OVAL

See Also:
  - Constant Field Values

### MAKE_RECTANGLE

static final int MAKE_RECTANGLE

See Also:
  - Constant Field Values

### DUMP

static final int DUMP

See Also:
  - Constant Field Values

### MOVE_TO

static final int MOVE_TO

See Also:
  - Constant Field Values

### LINE_TO

static final int LINE_TO

See Also:
  - Constant Field Values

### DRAW_LINE

static final int DRAW_LINE

See Also:
  - Constant Field Values

### REQUIRES

static final int REQUIRES

See Also:
  - Constant Field Values

### AUTO_UPDATE

static final int AUTO_UPDATE

See Also:
  - Constant Field Values

### UPDATE_DISPLAY

static final int UPDATE_DISPLAY

See Also:
  - Constant Field Values

### DRAW_STRING

static final int DRAW_STRING

See Also:
  - Constant Field Values

### SET_PASTE_MODE

static final int SET_PASTE_MODE

See Also:
  - Constant Field Values

### DO_COMMAND

static final int DO_COMMAND

See Also:
  - Constant Field Values

### SHOW_STATUS

static final int SHOW_STATUS

See Also:
  - Constant Field Values

### SHOW_PROGRESS

static final int SHOW_PROGRESS

See Also:
  - Constant Field Values

### SHOW_MESSAGE

static final int SHOW_MESSAGE

See Also:
  - Constant Field Values

### PUT_PIXEL

static final int PUT_PIXEL

See Also:
  - Constant Field Values

### SET_PIXEL

static final int SET_PIXEL

See Also:
  - Constant Field Values

### SNAPSHOT

static final int SNAPSHOT

See Also:
  - Constant Field Values

### RESET

static final int RESET

See Also:
  - Constant Field Values

### FILL

static final int FILL

See Also:
  - Constant Field Values

### SET_COLOR

static final int SET_COLOR

See Also:
  - Constant Field Values

### SET_LINE_WIDTH

static final int SET_LINE_WIDTH

See Also:
  - Constant Field Values

### CHANGE_VALUES

static final int CHANGE_VALUES

See Also:
  - Constant Field Values

### SELECT_IMAGE

static final int SELECT_IMAGE

See Also:
  - Constant Field Values

### EXIT

static final int EXIT

See Also:
  - Constant Field Values

### SET_LOCATION

static final int SET_LOCATION

See Also:
  - Constant Field Values

### GET_CURSOR_LOC

static final int GET_CURSOR_LOC

See Also:
  - Constant Field Values

### GET_LINE

static final int GET_LINE

See Also:
  - Constant Field Values

### GET_VOXEL_SIZE

static final int GET_VOXEL_SIZE

See Also:
  - Constant Field Values

### GET_HISTOGRAM

static final int GET_HISTOGRAM

See Also:
  - Constant Field Values

### GET_STATISTICS

static final int GET_STATISTICS

See Also:
  - Constant Field Values

### GET_BOUNDING_RECT

static final int GET_BOUNDING_RECT

See Also:
  - Constant Field Values

### GET_LUT

static final int GET_LUT

See Also:
  - Constant Field Values

### SET_LUT

static final int SET_LUT

See Also:
  - Constant Field Values

### GET_COORDINATES

static final int GET_COORDINATES

See Also:
  - Constant Field Values

### SHOW_MESSAGE_WITH_CANCEL

static final int SHOW_MESSAGE_WITH_CANCEL

See Also:
  - Constant Field Values

### MAKE_SELECTION

static final int MAKE_SELECTION

See Also:
  - Constant Field Values

### SET_RESULT

static final int SET_RESULT

See Also:
  - Constant Field Values

### UPDATE_RESULTS

static final int UPDATE_RESULTS

See Also:
  - Constant Field Values

### SET_BATCH_MODE

static final int SET_BATCH_MODE

See Also:
  - Constant Field Values

### SET_JUSTIFICATION

static final int SET_JUSTIFICATION

See Also:
  - Constant Field Values

### SET_Z_COORDINATE

static final int SET_Z_COORDINATE

See Also:
  - Constant Field Values

### GET_THRESHOLD

static final int GET_THRESHOLD

See Also:
  - Constant Field Values

### GET_PIXEL_SIZE

static final int GET_PIXEL_SIZE

See Also:
  - Constant Field Values

### SETUP_UNDO

static final int SETUP_UNDO

See Also:
  - Constant Field Values

### SAVE_SETTINGS

static final int SAVE_SETTINGS

See Also:
  - Constant Field Values

### RESTORE_SETTINGS

static final int RESTORE_SETTINGS

See Also:
  - Constant Field Values

### SET_KEY_DOWN

static final int SET_KEY_DOWN

See Also:
  - Constant Field Values

### OPEN

static final int OPEN

See Also:
  - Constant Field Values

### SET_FONT

static final int SET_FONT

See Also:
  - Constant Field Values

### GET_MIN_AND_MAX

static final int GET_MIN_AND_MAX

See Also:
  - Constant Field Values

### CLOSE

static final int CLOSE

See Also:
  - Constant Field Values

### SET_SLICE

static final int SET_SLICE

See Also:
  - Constant Field Values

### NEW_IMAGE

static final int NEW_IMAGE

See Also:
  - Constant Field Values

### SAVE_AS

static final int SAVE_AS

See Also:
  - Constant Field Values

### SAVE

static final int SAVE

See Also:
  - Constant Field Values

### SET_AUTO_THRESHOLD

static final int SET_AUTO_THRESHOLD

See Also:
  - Constant Field Values

### RENAME

static final int RENAME

See Also:
  - Constant Field Values

### GET_BOUNDS

static final int GET_BOUNDS

See Also:
  - Constant Field Values

### FILL_RECT

static final int FILL_RECT

See Also:
  - Constant Field Values

### GET_RAW_STATISTICS

static final int GET_RAW_STATISTICS

See Also:
  - Constant Field Values

### FLOOD_FILL

static final int FLOOD_FILL

See Also:
  - Constant Field Values

### RESTORE_PREVIOUS_TOOL

static final int RESTORE_PREVIOUS_TOOL

See Also:
  - Constant Field Values

### SET_VOXEL_SIZE

static final int SET_VOXEL_SIZE

See Also:
  - Constant Field Values

### GET_LOCATION_AND_SIZE

static final int GET_LOCATION_AND_SIZE

See Also:
  - Constant Field Values

### GET_DATE_AND_TIME

static final int GET_DATE_AND_TIME

See Also:
  - Constant Field Values

### SET_METADATA

static final int SET_METADATA

See Also:
  - Constant Field Values

### CALCULATOR

static final int CALCULATOR

See Also:
  - Constant Field Values

### SET_RGB_WEIGHTS

static final int SET_RGB_WEIGHTS

See Also:
  - Constant Field Values

### MAKE_POLYGON

static final int MAKE_POLYGON

See Also:
  - Constant Field Values

### SET_SELECTION_NAME

static final int SET_SELECTION_NAME

See Also:
  - Constant Field Values

### DRAW_RECT

static final int DRAW_RECT

See Also:
  - Constant Field Values

### DRAW_OVAL

static final int DRAW_OVAL

See Also:
  - Constant Field Values

### FILL_OVAL

static final int FILL_OVAL

See Also:
  - Constant Field Values

### SET_OPTION

static final int SET_OPTION

See Also:
  - Constant Field Values

### SHOW_TEXT

static final int SHOW_TEXT

See Also:
  - Constant Field Values

### SET_SELECTION_LOC

static final int SET_SELECTION_LOC

See Also:
  - Constant Field Values

### GET_DIMENSIONS

static final int GET_DIMENSIONS

See Also:
  - Constant Field Values

### WAIT_FOR_USER

static final int WAIT_FOR_USER

See Also:
  - Constant Field Values

### MAKE_POINT

static final int MAKE_POINT

See Also:
  - Constant Field Values

### MAKE_TEXT

static final int MAKE_TEXT

See Also:
  - Constant Field Values

### MAKE_ELLIPSE

static final int MAKE_ELLIPSE

See Also:
  - Constant Field Values

### GET_DISPLAYED_AREA

static final int GET_DISPLAYED_AREA

See Also:
  - Constant Field Values

### TO_SCALED

static final int TO_SCALED

See Also:
  - Constant Field Values

### TO_UNSCALED

static final int TO_UNSCALED

See Also:
  - Constant Field Values

### MAKE_ARROW

static final int MAKE_ARROW

See Also:
  - Constant Field Values

### MAKE_ROTATED_RECT

static final int MAKE_ROTATED_RECT

See Also:
  - Constant Field Values

### functions

static final String[] functions

### functionIDs

static final int[] functionIDs

### GET_PIXEL

static final int GET_PIXEL

See Also:
  - Constant Field Values

### ABS

static final int ABS

See Also:
  - Constant Field Values

### COS

static final int COS

See Also:
  - Constant Field Values

### EXP

static final int EXP

See Also:
  - Constant Field Values

### FLOOR

static final int FLOOR

See Also:
  - Constant Field Values

### LOG

static final int LOG

See Also:
  - Constant Field Values

### MAX_OF

static final int MAX_OF

See Also:
  - Constant Field Values

### MIN_OF

static final int MIN_OF

See Also:
  - Constant Field Values

### POW

static final int POW

See Also:
  - Constant Field Values

### ROUND

static final int ROUND

See Also:
  - Constant Field Values

### SIN

static final int SIN

See Also:
  - Constant Field Values

### SQRT

static final int SQRT

See Also:
  - Constant Field Values

### TAN

static final int TAN

See Also:
  - Constant Field Values

### GET_TIME

static final int GET_TIME

See Also:
  - Constant Field Values

### GET_WIDTH

static final int GET_WIDTH

See Also:
  - Constant Field Values

### GET_HEIGHT

static final int GET_HEIGHT

See Also:
  - Constant Field Values

### RANDOM

static final int RANDOM

See Also:
  - Constant Field Values

### GET_RESULT

static final int GET_RESULT

See Also:
  - Constant Field Values

### GET_COUNT

static final int GET_COUNT

See Also:
  - Constant Field Values

### GET_NUMBER

static final int GET_NUMBER

See Also:
  - Constant Field Values

### NIMAGES

static final int NIMAGES

See Also:
  - Constant Field Values

### NSLICES

static final int NSLICES

See Also:
  - Constant Field Values

### LENGTH_OF

static final int LENGTH_OF

See Also:
  - Constant Field Values

### NRESULTS

static final int NRESULTS

See Also:
  - Constant Field Values

### GET_ID

static final int GET_ID

See Also:
  - Constant Field Values

### BIT_DEPTH

static final int BIT_DEPTH

See Also:
  - Constant Field Values

### SELECTION_TYPE

static final int SELECTION_TYPE

See Also:
  - Constant Field Values

### ATAN

static final int ATAN

See Also:
  - Constant Field Values

### IS_OPEN

static final int IS_OPEN

See Also:
  - Constant Field Values

### IS_ACTIVE

static final int IS_ACTIVE

See Also:
  - Constant Field Values

### INDEX_OF

static final int INDEX_OF

See Also:
  - Constant Field Values

### LAST_INDEX_OF

static final int LAST_INDEX_OF

See Also:
  - Constant Field Values

### CHAR_CODE_AT

static final int CHAR_CODE_AT

See Also:
  - Constant Field Values

### GET_BOOLEAN

static final int GET_BOOLEAN

See Also:
  - Constant Field Values

### STARTS_WITH

static final int STARTS_WITH

See Also:
  - Constant Field Values

### ENDS_WITH

static final int ENDS_WITH

See Also:
  - Constant Field Values

### ATAN2

static final int ATAN2

See Also:
  - Constant Field Values

### IS_NAN

static final int IS_NAN

See Also:
  - Constant Field Values

### GET_ZOOM

static final int GET_ZOOM

See Also:
  - Constant Field Values

### PARSE_INT

static final int PARSE_INT

See Also:
  - Constant Field Values

### PARSE_FLOAT

static final int PARSE_FLOAT

See Also:
  - Constant Field Values

### IS_KEY_DOWN

static final int IS_KEY_DOWN

See Also:
  - Constant Field Values

### GET_SLICE_NUMBER

static final int GET_SLICE_NUMBER

See Also:
  - Constant Field Values

### SCREEN_WIDTH

static final int SCREEN_WIDTH

See Also:
  - Constant Field Values

### SCREEN_HEIGHT

static final int SCREEN_HEIGHT

See Also:
  - Constant Field Values

### CALIBRATE

static final int CALIBRATE

See Also:
  - Constant Field Values

### ASIN

static final int ASIN

See Also:
  - Constant Field Values

### ACOS

static final int ACOS

See Also:
  - Constant Field Values

### ROI_MANAGER

static final int ROI_MANAGER

See Also:
  - Constant Field Values

### TOOL_ID

static final int TOOL_ID

See Also:
  - Constant Field Values

### IS

static final int IS

See Also:
  - Constant Field Values

### GET_VALUE

static final int GET_VALUE

See Also:
  - Constant Field Values

### STACK

static final int STACK

See Also:
  - Constant Field Values

### MATCHES

static final int MATCHES

See Also:
  - Constant Field Values

### GET_STRING_WIDTH

static final int GET_STRING_WIDTH

See Also:
  - Constant Field Values

### FIT

static final int FIT

See Also:
  - Constant Field Values

### OVERLAY

static final int OVERLAY

See Also:
  - Constant Field Values

### SELECTION_CONTAINS

static final int SELECTION_CONTAINS

See Also:
  - Constant Field Values

### PLOT

static final int PLOT

See Also:
  - Constant Field Values

### MATH

static final int MATH

See Also:
  - Constant Field Values

### numericFunctions

static final String[] numericFunctions

### numericFunctionIDs

static final int[] numericFunctionIDs

### D2S

static final int D2S

See Also:
  - Constant Field Values

### TO_HEX

static final int TO_HEX

See Also:
  - Constant Field Values

### TO_BINARY

static final int TO_BINARY

See Also:
  - Constant Field Values

### GET_TITLE

static final int GET_TITLE

See Also:
  - Constant Field Values

### GET_STRING

static final int GET_STRING

See Also:
  - Constant Field Values

### SUBSTRING

static final int SUBSTRING

See Also:
  - Constant Field Values

### FROM_CHAR_CODE

static final int FROM_CHAR_CODE

See Also:
  - Constant Field Values

### GET_INFO

static final int GET_INFO

See Also:
  - Constant Field Values

### GET_DIRECTORY

static final int GET_DIRECTORY

See Also:
  - Constant Field Values

### GET_ARGUMENT

static final int GET_ARGUMENT

See Also:
  - Constant Field Values

### GET_IMAGE_INFO

static final int GET_IMAGE_INFO

See Also:
  - Constant Field Values

### TO_LOWER_CASE

static final int TO_LOWER_CASE

See Also:
  - Constant Field Values

### TO_UPPER_CASE

static final int TO_UPPER_CASE

See Also:
  - Constant Field Values

### RUN_MACRO

static final int RUN_MACRO

See Also:
  - Constant Field Values

### EVAL

static final int EVAL

See Also:
  - Constant Field Values

### TO_STRING

static final int TO_STRING

See Also:
  - Constant Field Values

### REPLACE

static final int REPLACE

See Also:
  - Constant Field Values

### DIALOG

static final int DIALOG

See Also:
  - Constant Field Values

### GET_METADATA

static final int GET_METADATA

See Also:
  - Constant Field Values

### FILE

static final int FILE

See Also:
  - Constant Field Values

### SELECTION_NAME

static final int SELECTION_NAME

See Also:
  - Constant Field Values

### GET_VERSION

static final int GET_VERSION

See Also:
  - Constant Field Values

### GET_RESULT_LABEL

static final int GET_RESULT_LABEL

See Also:
  - Constant Field Values

### CALL

static final int CALL

See Also:
  - Constant Field Values

### STRING

static final int STRING

See Also:
  - Constant Field Values

### EXT

static final int EXT

See Also:
  - Constant Field Values

### EXEC

static final int EXEC

See Also:
  - Constant Field Values

### LIST

static final int LIST

See Also:
  - Constant Field Values

### DEBUG

static final int DEBUG

See Also:
  - Constant Field Values

### IJ_CALL

static final int IJ_CALL

See Also:
  - Constant Field Values

### GET_RESULT_STRING

static final int GET_RESULT_STRING

See Also:
  - Constant Field Values

### GET_DIR

static final int GET_DIR

See Also:
  - Constant Field Values

### TRIM

static final int TRIM

See Also:
  - Constant Field Values

### stringFunctions

static final String[] stringFunctions

### stringFunctionIDs

static final int[] stringFunctionIDs

### GET_PROFILE

static final int GET_PROFILE

See Also:
  - Constant Field Values

### NEW_ARRAY

static final int NEW_ARRAY

See Also:
  - Constant Field Values

### SPLIT

static final int SPLIT

See Also:
  - Constant Field Values

### GET_FILE_LIST

static final int GET_FILE_LIST

See Also:
  - Constant Field Values

### GET_FONT_LIST

static final int GET_FONT_LIST

See Also:
  - Constant Field Values

### NEW_MENU

static final int NEW_MENU

See Also:
  - Constant Field Values

### GET_LIST

static final int GET_LIST

See Also:
  - Constant Field Values

### ARRAY_FUNC

static final int ARRAY_FUNC

See Also:
  - Constant Field Values

### arrayFunctions

static final String[] arrayFunctions

### arrayFunctionIDs

static final int[] arrayFunctionIDs

### TABLE

static final int TABLE

See Also:
  - Constant Field Values

### ROI

static final int ROI

See Also:
  - Constant Field Values

### ROI_MANAGER2

static final int ROI_MANAGER2

See Also:
  - Constant Field Values

### PROPERTY

static final int PROPERTY

See Also:
  - Constant Field Values

### IMAGE

static final int IMAGE

See Also:
  - Constant Field Values

### COLOR

static final int COLOR

See Also:
  - Constant Field Values

### variableFunctions

static final String[] variableFunctions

### variableFunctionIDs

static final int[] variableFunctionIDs